@rem copyright (c) 2004-2006 Kazuki IWAMOTO http://www.maid.org/ iwm@maid.org
@rem
@rem Permission is hereby granted, free of charge, to any person obtaining
@rem a copy of this software and associated documentation files (the
@rem "Software"), to deal in the Software without restriction, including
@rem without limitation the rights to use, copy, modify, merge, publish,
@rem distribute, sublicense, and/or sell copies of the Software, and to
@rem permit persons to whom the Software is furnished to do so, subject to
@rem the following conditions:
@rem
@rem The above copyright notice and this permission notice shall be included
@rem in all copies or substantial portions of the Software.
@rem
@rem THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
@rem EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
@rem MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
@rem IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
@rem CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
@rem TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
@rem SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
if not exist expat-2.0.0 tar zxf expat-2.0.0.tar.gz
if not exist fontconfig-2.4.1 tar zxf fontconfig-2.4.1.tar.gz
if not exist freetype-2.2.1 tar zxf freetype-2.2.1.tar.gz
if not exist gettext-0.15 tar zxf gettext-0.15.tar.gz
if not exist jpeg-6b tar zxf jpegsrc.v6b.tar.gz
if not exist libiconv-1.11 tar zxf libiconv-1.11.tar.gz
if not exist libpng-1.2.12 tar zxf libpng-1.2.12.tar.gz
if not exist tiff-3.8.2 tar zxf tiff-3.8.2.tar.gz
if not exist zlib-1.2.3 tar zxf zlib-1.2.3.tar.gz
if "%1"=="CVS" goto cvs
if "%1"=="CVs" goto cvs
if "%1"=="CvS" goto cvs
if "%1"=="Cvs" goto cvs
if "%1"=="cVS" goto cvs
if "%1"=="cVs" goto cvs
if "%1"=="cvS" goto cvs
if "%1"=="cvs" goto cvs
if not exist atk-1.12.3 tar zxf atk-1.12.3.tar.gz
if not exist cairo-1.2.4 tar zxf cairo-1.2.4.tar.gz
if not exist glib-2.12.4 tar zxf glib-2.12.4.tar.gz
if not exist "gtk+-2.10.6" if not exist gtk-2.10.6 tar zxf "gtk+-2.10.6.tar.gz"
if not exist pango-1.14.5 tar zxf pango-1.14.5.tar.gz
if exist "gtk+-2.10.6" ren "gtk+-2.10.6" gtk-2.10.6
goto final
:cvs
if not exist cairo-1.2.4 tar zxf cairo-1.2.4.tar.gz
if exist atk (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d atk) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co atk)
if exist glib (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d glib) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co glib)
if exist gtk (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d gtk) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co -d gtk gtk+)
if exist pango (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d pango) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co pango)
:final
